<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateImportsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('imports', function (Blueprint $table) {
            $table->increments('id');

            $table->text('name')->comment('名称');
            $table->integer('category')->comment('分类');
            $table->text('path')->comment('文件路径');
            $table->string('is_load')->default('F')->comment('是否加载');
            $table->string('is_import')->default('F')->comment('是否已导入');
            $table->timestamp('import_time')->nullable()->comment('导入的时间');
            $table->longText('data')->nullable()->comment('数据');
            $table->tinyInteger('status')->default(1)->comment('状态');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('imports');
    }
}
